## ros-kinetic-pepper-robot 0.1.10

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pepper_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-pepper-robot (0.1.10-0xenial) xenial; urgency=high

  * Merge pull request #34 <https://github.com/ros-naoqi/pepper_robot/issues/34> from ros-naoqi/change_maintainer
    change maintainership
  * change maintainership
  * Contributors: Karsten Knese

 -- Surya Ambrose <surya.ambrose@gmail.com>  Tue, 17 Jan 2017 08:00:00 -0000

ros-kinetic-pepper-robot (0.1.9-0xenial) xenial; urgency=high

  * correct old emailaddress in package.xml
  * Contributors: Karsten Knese

 -- Surya Ambrose <surya.ambrose@gmail.com>  Tue, 17 Jan 2017 08:00:00 -0000

ros-kinetic-pepper-robot (0.1.8-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 18 Dec 2015 08:00:00 -0000

ros-kinetic-pepper-robot (0.1.7-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.6-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.5-0xenial) xenial; urgency=high

  * 0.1.4
  * generate changelog
  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 31 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.4-0xenial) xenial; urgency=high

  * update maintainer email
  * Contributors: Karsten Knese

 -- Karsten Knese <karsten.knese@gmail.com>  Thu, 30 Jul 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.3-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Thu, 25 Jun 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.2-0xenial) xenial; urgency=high



 -- Karsten Knese <karsten.knese@gmail.com>  Fri, 10 Apr 2015 07:00:00 -0000

ros-kinetic-pepper-robot (0.1.1-0xenial) xenial; urgency=high

  * initial commit of URDF and basic scripts
  * Contributors: Vincent Rabaud

 -- Karsten Knese <karsten.knese@gmail.com>  Wed, 08 Apr 2015 07:00:00 -0000

=== debian/control ===
Source: ros-kinetic-pepper-robot
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-kinetic-pepper-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-pepper-bringup, ros-kinetic-pepper-description, ros-kinetic-pepper-sensors-py
Description: The pepper_robot package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-pepper-robot//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
